Folks.NameDetails.change_structured_name – folks Reference Manual

# change_structured_name

## Description:

public virtual async void change_structured_name (StructuredName? name) throws PropertyError

Change the contact's structured name.

It's preferred to call this rather than setting NameDetails.structured_name directly, as this method gives error notification and will only return once the name has been written to the relevant backing store (or the operation's failed).

## Parameters:

name | the structured name (`null` to unset it)

## Exceptions:

PropertyError | if setting the structured name failed

## Since:

0.6.2